pub mod hypervisor;
pub mod net;
pub mod nw_filter;
pub mod vm;

#[derive(thiserror::Error, Debug)]
enum LibVirtStructError {
    #[error("StructureExtractionError: {0}")]
    StructureExtraction(&'static str),
    #[error("DomainExtractionError: {0}")]
    DomainExtraction(String),
    #[error("ParseFilteringChain: {0}")]
    ParseFilteringChain(String),
    #[error("NetworkFilterExtractionError: {0}")]
    NetworkFilterExtraction(String),
    #[error("CloudInitConfigurationError: {0}")]
    CloudInitConfiguration(String),
}
