# Bridges

Bridges can be used to connect virtual machines to networks.

## Setup Bridge on Ubuntu

1. Install dependencies:

```bash
sudo apt install bridge-utils
```

2. Adapt your netplan configuration to set the following:

```yaml
network:
  version: 2
  renderer: networkd
  ethernets:
    enp2s0:
      dhcp4: no
  bridges:
    br0: # Bridge name
      dhcp4: yes
      interfaces:
         - enp2s0 # Set to your interface
```


3. Apply netplan configuration:

```bash
sudo netplan apply
```


4. Get the state and the list of bridges in the system:

```bash
sudo brctl show

# Or
ip link show type bridge
```

## Reference
[How to Configure Network Bridge in Ubuntu](https://www.tecmint.com/create-network-bridge-in-ubuntu/)