# Setup for developpment
1. The `libvirt-dev` package must be installed:

```bash
sudo apt install libvirt-dev
```

2. Libvirt and cloud image utilities must also be installed:
```bash
sudo apt install qemu-kvm libvirt-daemon-system cloud-image-utils
```

3. Allow the current user to manage VMs:
```bash
sudo adduser $USER libvirt
sudo adduser $USER kvm 
```

> Note: You will need to login again for this change to take effect.

4. Install required developpment tools:
* Rust: https://www.rust-lang.org/learn/get-started
* NodeJS: https://nodejs.org/en/download/current


5. Run sample OpenID service
```bash
cd virtweb_backend
docker compose up
```

6. Run the backend:
```bash
sudo mkdir /var/virtweb
sudo chown $USER:$USER /var/virtweb
cd virtweb_backend
cargo fmt && cargo clippy && cargo run -- -s /var/virtweb --hypervisor-uri "qemu:///system" --website-origin "http://localhost:5173"
```

7. Run the frontend
```bash
cd virtweb_frontend
npm run start
```

Have fun with your development!