import { Paper, Typography } from "@mui/material";
import React, { PropsWithChildren } from "react";

export function VirtWebPaper(
  p: {
    label: string | React.ReactElement;
    noHorizontalMargin?: boolean;
  } & PropsWithChildren
): React.ReactElement {
  return (
    <Paper
      elevation={2}
      style={{
        padding: "10px",
        margin: p.noHorizontalMargin ? "20px 0px" : "20px",
      }}
    >
      <Typography
        variant="subtitle1"
        style={{ marginBottom: "10px", fontWeight: "bold" }}
      >
        {p.label}
      </Typography>
      {p.children}
    </Paper>
  );
}
