import { DiskBusType } from "../../api/VMApi";
import { SelectInput } from "./SelectInput";

export function DiskBusSelect(p: {
  editable: boolean;
  value: DiskBusType;
  label?: string;
  onValueChange: (value: DiskBusType) => void;
  size?: "medium" | "small";
  disableUnderline?: boolean;
  disableBottomMargin?: boolean;
}): React.ReactElement {
  return (
    <SelectInput
      {...p}
      label={p.label ?? "Disk bus type"}
      options={[
        { label: "virtio", value: "Virtio" },
        { label: "sata", value: "SATA" },
      ]}
      onValueChange={(v) => { p.onValueChange(v as any); }}
    />
  );
}
