/* eslint-disable react-x/no-array-index-key */
/* eslint-disable react-hooks/exhaustive-deps */
import React from "react";
import { useNavigate } from "react-router-dom";
import { NWFilter, NWFilterURL } from "../../api/NWFilterApi";
import { NWFilterItem } from "../nwfilter/NWFilterItem";
import { NWFilterSelectInput } from "./NWFilterSelectInput";

export function NWFSelectReferencedFilters(p: {
  editable: boolean;
  selected: string[];
  nwFiltersList: NWFilter[];
  onChange?: () => void;
  excludedFilters?: string[];
}): React.ReactElement {
  const navigate = useNavigate();

  const nwfilters = React.useMemo(
    () =>
      p.excludedFilters
        ? p.nwFiltersList.filter((f) => !p.excludedFilters!.includes(f.name))
        : p.nwFiltersList,
    [p.excludedFilters]
  );

  const selectedFilters = React.useMemo(
    () => p.selected.map((f) => p.nwFiltersList.find((s) => s.name === f)),
    [p.selected.length]
  );

  return (
    <>
      {selectedFilters.map((entry, n) => (
        <NWFilterItem
          key={n}
          value={entry}
          onDelete={
            p.editable
              ? () => {
                  p.selected.splice(n, 1);
                  p.onChange?.();
                }
              : undefined
          }
          onClick={
            !p.editable && entry
              ? () => navigate(NWFilterURL(entry))
              : undefined
          }
        />
      ))}

      {p.editable && (
        <NWFilterSelectInput
          editable={p.editable}
          label="Attach a new filter"
          canBeNull={false}
          nwfilters={nwfilters}
          value={""}
          onChange={(f) => {
            p.selected.push(f!);
            p.onChange?.();
          }}
        />
      )}
    </>
  );
}
