import { ServerApi } from "../../api/ServerApi";
import { TextInput } from "./TextInput";

export function NWFilterPriorityInput(p: {
  editable: boolean;
  label: string;
  value?: number;
  onChange: (priority?: number) => void;
}): React.ReactElement {
  return (
    <TextInput
      {...p}
      value={p.value?.toString()}
      type="number"
      onValueChange={(v) => {
        p.onChange(v && v !== "" ? Number(v) : undefined);
      }}
      size={ServerApi.Config.constraints.nwfilter_priority}
      helperText="A lower priority value is accessed before one with a higher value"
    />
  );
}
